%{?nodejs_find_provides_and_requires}

%global packagename p-finally

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-p-finally
Version:	1.0.0
Release:	1%{?dist}
Summary:	Promise#finally() ponyfill - Invoked when the promise is settled

License:	MIT
URL:		https://github.com/sindresorhus/p-finally
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/p-finally/v1.0.0/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Promise#finally() ponyfill - Invoked when the promise is settled regardless of
outcome.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
